package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import com.realnet.basicp1.Entity.Types_ListFilter1;
import com.realnet.basicp1.Services.Types_ListFilter1Service ;
@RequestMapping(value = "/token/Types_ListFilter1")
@RestController
public class tokenFree_Types_ListFilter1Controller {
	
	@Autowired
	private Types_ListFilter1Service Service;

		@GetMapping("/Types_ListFilter1")
	public List<Types_ListFilter1> getlist() {
		 List<Types_ListFilter1> get = Service.getlistbuilder();		
		return get;
}
		@GetMapping("/Types_ListFilter11/{item}")
	public List<Types_ListFilter1> getlistwithparam(  @PathVariable String item) {
		 List<Types_ListFilter1> get = Service.getlistbuilderparam(  item);		
		return get;
}
}